Bug 44453 - [UWP] ToolbarItem Text hard to see when BarTextColor is light
Summary: [UWP] ToolbarItem Text hard to see when BarTextColor is light
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: unspecified
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-17 00:55 UTC by Matthew Leibowitz
Modified: 2018-01-18 13:35 UTC (History)
15 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
The test project (75.00 KB, application/x-zip-compressed)
2016-09-17 00:55 UTC, Matthew Leibowitz
Details
Forms Colors (7.88 KB, image/png)
2016-09-17 00:56 UTC, Matthew Leibowitz
Details
Windows Colors (9.30 KB, image/png)
2016-09-17 00:57 UTC, Matthew Leibowitz
Details

Description Matthew Leibowitz 2016-09-17 00:55:28 UTC
Created attachment 17563 [details]
The test project

In the UWP app.

If I set the BarTextColor to a light color, and then add toolbar items, the items in the secondary menu take on the color of the BarTextColor. As the color of the background of the toolbar secondary menu cannot be controlled, this should not happen.

Typically, I would set the BarBackgroundColor to a nice dark (Xamarin Blue) color, and the BarTextColor to a light (White) color. This causes issues as the secondary menu retains the light grey, but the text gets the new white.

I am thinking this line (did five seconds of research):
https://github.com/xamarin/Xamarin.Forms/blob/master/Xamarin.Forms.Platform.WinRT/Platform.cs#L285

I don't think it would be good to set the background color, as this does not change the color of the menu. TO do that, I think you might need to create a new style for the presenter: CommandBarOverflowPresenterStyle

I will attach screenshots of what I mean.
Comment 1 Matthew Leibowitz 2016-09-17 00:56:09 UTC
Created attachment 17564 [details]
Forms Colors

The bar background is blue with a text color of white.
Comment 2 Matthew Leibowitz 2016-09-17 00:57:15 UTC
Created attachment 17565 [details]
Windows Colors

The bar background is red, text white. 
Then the AppBarButton is green with white text.
Comment 3 Matthew Leibowitz 2016-09-17 01:00:01 UTC
I also noticed that the hover/hot color of the secondary items is Black. So, no matter the color I set the items, they hover at black. If the menu background is changed, then features need to be added to change the text, hot text and the selection colors.
Comment 4 Rui Marinho 2016-12-19 12:49:43 UTC
Should be fixed in 2.3.4-pre2
Comment 5 Parmendra Kumar 2017-02-03 18:22:18 UTC
I have checked this issue and observed that this issue has been fixed with Xamarin.Forms 2.3.4.184-pre1.

Hence closing this issue.


Thanks.
Comment 6 Nishant Gaurav 2017-09-06 05:39:00 UTC
These are very needful and useful. http://freepaypalgiftcard.com Thanks for publishing such informative contents. Liked your all the posts. Thanks.
Comment 9 harryhugh 2017-11-29 09:47:07 UTC
https://techuhow.com/gbwhatsapp-apk/

Visit this URL to download Latest version of Gbwhatsapp apk 6.30
Comment 10 sm phyl 2017-12-07 16:37:52 UTC
Very good points you wrote here..Great stuff...I think you've made some truly interesting points.Keep up the good work. https://techophyll.com/
Comment 11 Scott D Goodman 2017-12-11 19:57:56 UTC
Lucky Patcher APK v6.7.5 (Latest) Direct Download for Android. Download Lucky Patcher APK Android Application (Latest) File From Here.http://luckypatcherdownloads.org/
Comment 12 Scott D Goodman 2017-12-11 20:00:02 UTC
Freedom APK Latest Version [v1.8.4] is Here to Download.Get Unlimited In-App Purchase Free for Latest Games. Android & Windows PC Only. https://freedom-apk.info/
Comment 13 Manav singh 2017-12-25 07:16:09 UTC
I have checked this issue and observed that this issue has been fixed with Xamarin.Forms 2.3.4.184-pre1. look here: https://nulledstack.com/
Comment 14 tek xpert 2017-12-25 07:54:22 UTC
Comment on attachment 17565 [details]
Windows Colors

Showbox video editor or Showbox Editor for PC is a unique product that has not only revolutionized the way the world develops quality content but also the add-on features that only Showbox brings to you. https://crumbles.co/showbox-apk-download/
Comment 15 Zak Turner 2018-01-03 16:50:21 UTC
This is a very good article for me. 
https://www.imobetachat.com/kik-for-pc/
Comment 16 Zak Turner 2018-01-03 16:53:39 UTC
Really nice it is thanks for share it. I read this article. I think You put a lot of effort to create this article. I appreciate your work.
https://www.imobetachat.com/snapchat-for-pc-windows-mac/
https://www.imobetachat.com/movie-hd-apk-app-hd-movies/
https://www.imobetachat.com/imo-for-pc-laptop-windows/
Comment 17 lukhi singh 2018-01-18 13:35:08 UTC
Check out best free music download apps in this article - https://www.dreamytricks.net/free-music-download-apps-for-android/

Note You need to log in before you can comment on or make changes to this bug.